#ifndef  SOFTWARE_I2C_H
#define  SOFTWARE_I2C_H
//------------------------------------------------------------------------------
#include "twoWire_Pins.h"
//NB: Very similar to i2c but NOT entirely 
//------------------------------------------------------------------------------
void twoWire_init()
{
  CLK_dir = 0;    //CLK is Output
  DIO_dir = 0;    //DIO is Output
  
  CLK = 0;
  DIO = 0;
}
//------------------------------------------------------------------------------
void twoWire_start()
{
  CLK = 1;
  DIO = 1;
  __delay_us(2);
  DIO = 0;
}
//------------------------------------------------------------------------------
void twoWire_stop()
{
  CLK = 0;
  __delay_us(2);
  DIO = 0;
  __delay_us(2);
  CLK = 1;
  __delay_us(2);
  DIO = 1;
}
//------------------------------------------------------------------------------
void twoWire_ack()
{
  CLK = 0;
  __delay_us(5);
  CLK = 1;
  __delay_us(2);
  CLK = 0;
}
//------------------------------------------------------------------------------
void twoWire_write(char data)
{
  for(char tx = 0 ; tx < 8 ; tx++)
  {
    CLK = 0;
    DIO = ((data >> tx) & 0x01) ? 1 : 0 ; //LSB first (Real 12c sends MSB first)
    CLK = 1;                              //Toggle SCK pin to latch data bit
    
    __delay_us(6);
  }
}
//------------------------------------------------------------------------------
#endif